Index: mythplugins/mythgame/i18n/mythgame_en_gb.ts
===================================================================
--- mythplugins/mythgame/i18n/mythgame_en_gb.ts	(revision 0)
+++ mythplugins/mythgame/i18n/mythgame_en_gb.ts	(revision 0)
@@ -0,0 +1,704 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS>
+<TS version="2.0" language="en_US">
+<context>
+    <name>GameUI</name>
+    <message>
+        <location filename="../mythgame/gameui.cpp" line="114"/>
+        <source>Favorites</source>
+        <translation>Favourites</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gameui.cpp" line="128"/>
+        <source>All Games</source>
+        <translation>All Games</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gameui.cpp" line="133"/>
+        <source>-   By Genre</source>
+        <translation>-   By Genre</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gameui.cpp" line="138"/>
+        <source>-   By Year</source>
+        <translation>-   By Year</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gameui.cpp" line="143"/>
+        <source>-   By Name</source>
+        <translation>-   By Name</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gameui.cpp" line="148"/>
+        <source>-   By Publisher</source>
+        <translation>-   By Publisher</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gameui.cpp" line="247"/>
+        <source>Choose System for</source>
+        <translation>Choose System for</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gameui.cpp" line="264"/>
+        <location filename="../mythgame/gameui.cpp" line="495"/>
+        <source>Cancel</source>
+        <translation>Cancel</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gameui.cpp" line="411"/>
+        <location filename="../mythgame/gameui.cpp" line="483"/>
+        <source>Show Information</source>
+        <translation>Show Information</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gameui.cpp" line="413"/>
+        <location filename="../mythgame/gameui.cpp" line="488"/>
+        <source>Remove Favorite</source>
+        <translation>Remove Favourite</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gameui.cpp" line="415"/>
+        <location filename="../mythgame/gameui.cpp" line="487"/>
+        <source>Make Favorite</source>
+        <translation>Make Favourite</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gameui.cpp" line="416"/>
+        <location filename="../mythgame/gameui.cpp" line="479"/>
+        <source>Edit Metadata</source>
+        <translation>Edit Metadata</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gameui.cpp" line="443"/>
+        <source>Game Search</source>
+        <translation>Game Search</translation>
+    </message>
+</context>
+<context>
+    <name>MythControls</name>
+    <message>
+        <location filename="../mythgame/main.cpp" line="94"/>
+        <source>Game frontend</source>
+        <translation>Game frontend</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/main.cpp" line="97"/>
+        <source>Toggle the current game as a favorite</source>
+        <translation>Toggle the current game as a favourite</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/main.cpp" line="99"/>
+        <source>Show incremental search dialog</source>
+        <translation>Show incremental search dialog</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/main.cpp" line="101"/>
+        <source>Incremental search find next match</source>
+        <translation>Incremental search find next match</translation>
+    </message>
+</context>
+<context>
+    <name>MythGamePlayerEditor</name>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="265"/>
+        <source>Game Players</source>
+        <translation>Game Players</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="305"/>
+        <source>Game Player Menu</source>
+        <translation>Game Player Menu</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="306"/>
+        <source>Edit..</source>
+        <translation>Edit..</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="306"/>
+        <source>Delete..</source>
+        <translation>Delete..</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="330"/>
+        <source>Are you sure you want to delete this item?</source>
+        <translation>Are you sure you want to delete this item?</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="332"/>
+        <source>Yes, delete It</source>
+        <translation>Yes, delete It</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="333"/>
+        <source>No, don&apos;t</source>
+        <translation>No, don&apos;t</translation>
+    </message>
+</context>
+<context>
+    <name>QObject</name>
+    <message>
+        <location filename="../mythgame/gamehandler.cpp" line="157"/>
+        <location filename="../mythgame/gamehandler.cpp" line="438"/>
+        <source>19xx</source>
+        <translation>19xx</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamehandler.cpp" line="158"/>
+        <location filename="../mythgame/gamehandler.cpp" line="159"/>
+        <location filename="../mythgame/gamehandler.cpp" line="160"/>
+        <location filename="../mythgame/gamehandler.cpp" line="161"/>
+        <location filename="../mythgame/gamehandler.cpp" line="162"/>
+        <location filename="../mythgame/gamehandler.cpp" line="435"/>
+        <location filename="../mythgame/gamehandler.cpp" line="436"/>
+        <location filename="../mythgame/gamehandler.cpp" line="439"/>
+        <location filename="../mythgame/gamehandler.cpp" line="440"/>
+        <location filename="../mythgame/gamehandler.cpp" line="441"/>
+        <location filename="../mythgame/gamehandler.cpp" line="447"/>
+        <source>Unknown</source>
+        <translation>Unknown</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamehandler.cpp" line="163"/>
+        <location filename="../mythgame/gamehandler.cpp" line="442"/>
+        <source>0</source>
+        <translation>0</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamehandler.cpp" line="222"/>
+        <location filename="../mythgame/gamehandler.cpp" line="618"/>
+        <source>No</source>
+        <translation>No</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamehandler.cpp" line="223"/>
+        <source>No to all</source>
+        <translation>No to all</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamehandler.cpp" line="224"/>
+        <location filename="../mythgame/gamehandler.cpp" line="619"/>
+        <source>Yes</source>
+        <translation>Yes</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamehandler.cpp" line="225"/>
+        <source>Yes to all</source>
+        <translation>Yes to all</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamehandler.cpp" line="230"/>
+        <source>File Missing</source>
+        <translation>File Missing</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamehandler.cpp" line="231"/>
+        <source>%1 appears to be missing.
+Remove it from the database?</source>
+        <translation>%1 appears to be missing.
+Remove it from the database?</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamehandler.cpp" line="399"/>
+        <source>Updating %1(%2) ROM database</source>
+        <translation>Updating %1(%2) ROM database</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamehandler.cpp" line="527"/>
+        <source>Verifying %1 files</source>
+        <translation>Verifying %1 files</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamehandler.cpp" line="623"/>
+        <source>Are you sure?</source>
+        <translation>Are you sure?</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamehandler.cpp" line="624"/>
+        <source>This will clear all Game Meta Data
+from the database. Are you sure you
+want to do this?</source>
+        <translation>This will clear all Game Meta Data
+from the database. Are you sure you
+want to do this?</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamehandler.cpp" line="730"/>
+        <source>Scanning for %1 game(s)...</source>
+        <translation>Scanning for %1 game(s)...</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="25"/>
+        <source>Game display order</source>
+        <translation>Game display order</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="27"/>
+        <source>Order in which to sort the games - this is for all systems. Available choices: system, year, genre and gamename</source>
+        <translation>Order in which to sort the games - this is for all systems. Available choices: system, year, genre and game name</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="36"/>
+        <source>Favourite display order</source>
+        <translation>Favourite display order</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="38"/>
+        <source>Order in which to sort the games marked as favourites - this is for all systems. Available choices: system, year, genre and gamename</source>
+        <translation>Order in which to sort the games marked as favourites - this is for all systems. Available choices: system, year, genre and game name</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="48"/>
+        <source>Indepth Game Scan</source>
+        <translation>Indepth Game Scan</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="49"/>
+        <source>Enabling this causes a game scan to gather crc values and attempt to find out more detailed information about the game: NOTE this can greatly increase the time a gamescan takes based on the amount of games scanned.</source>
+        <translation>Enabling this causes a game scan to gather CRC values and attempt to find out more detailed information about the game: NOTE this can greatly increase the time a gamescan takes based on the number of games scanned.</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="58"/>
+        <source>Prompt for removal of deleted rom(s)</source>
+        <translation>Prompt for removal of deleted ROM(s)</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="59"/>
+        <source>This enables a prompt for removing deleted roms from the database during a  gamescan</source>
+        <translation>This enables a prompt for removing deleted ROMs from the database during a gamescan</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="69"/>
+        <source>Display Files Names in Game Tree</source>
+        <translation>Display Files Names in Game Tree</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="70"/>
+        <source>Enabling this causes the filenames to be displayed in the game tree rather than the trimmed/looked up gamename</source>
+        <translation>Enabling this causes the filenames to be displayed in the game tree rather than the trimmed/looked up game name</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="77"/>
+        <source>Hash filenames in display</source>
+        <translation>Hash filenames in display</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="79"/>
+        <source>Enable hashing of names in the display tree. This can make navigating long lists a little faster</source>
+        <translation>Enable hashing of names in the display tree. This can make navigating long lists a little faster</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="86"/>
+        <source>Directory where Game Screenshots are stored</source>
+        <translation>Directory where Game Screenshots are stored</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="88"/>
+        <source>This directory will be the default browse location when assigning screenshots.</source>
+        <translation>This directory will be the default browse location when assigning screenshots.</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="96"/>
+        <source>Directory where Game Fanart is stored</source>
+        <translation>Directory where Game Fanart is stored</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="98"/>
+        <source>This directory will be the default browse location when assigning fanart.</source>
+        <translation>This directory will be the default browse location when assigning fanart.</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="106"/>
+        <source>Directory where Game Boxart is stored</source>
+        <translation>Directory where Game Boxart is stored</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="108"/>
+        <source>This directory will be the default browse location when assigning boxart.</source>
+        <translation>This directory will be the default browse location when assigning boxart.</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="116"/>
+        <source>MythGame Settings -- General</source>
+        <translation>MythGame Settings (General)</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="160"/>
+        <source>Allow games to span multiple roms/disks</source>
+        <translation>Allow games to span multiple ROMs/disks</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="161"/>
+        <source>This setting means that we will look for items like game.1.rom, game.2.rom and consider them a single game.</source>
+        <translation>This setting means that we will look for items like game.1.rom, game.2.rom and consider them a single game.</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="171"/>
+        <source>Command</source>
+        <translation>Command</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="172"/>
+        <source>Binary and optional parameters. Multiple commands seperated with &apos;;&apos; . Use %s for the rom name. %d1, %d2, %d3 and %d4 represent disks in a multidisk/game. %s auto appended if not specified</source>
+        <translation>Binary and optional parameters. Multiple commands seperated with &apos;;&apos; . Use %s for the ROM name. %d1, %d2, %d3 and %d4 represent disks in a multidisk/game. %s auto appended if not specified</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="182"/>
+        <source>Type</source>
+        <translation>Type</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="188"/>
+        <source>Type of Game/Emulator. Mostly for informational purposes and has little effect on the function of your system.</source>
+        <translation>Type of Game/Emulator. Mostly for informational purposes and has little effect on the function of your system.</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="198"/>
+        <source>Rom Path</source>
+        <translation>ROM Path</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="199"/>
+        <source>Location of the ROM files for this emulator</source>
+        <translation>Location of the ROM files for this emulator</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="209"/>
+        <source>Working Directory</source>
+        <translation>Working Directory</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="210"/>
+        <source>Directory to change to before launching emulator. Blank is usually fine</source>
+        <translation>Directory to change to before launching emulator. Blank is usually fine</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="220"/>
+        <source>File Extensions</source>
+        <translation>File Extensions</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="221"/>
+        <source>A Comma seperated list of all file extensions for this emulator. Blank means any file under ROM PATH is considered to be used with this emulator</source>
+        <translation>A Comma seperated list of all file extensions for this emulator. Blank means any file under ROM PATH is considered to be used with this emulator</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="231"/>
+        <source>Game Player Setup</source>
+        <translation>Game Player Setup</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.cpp" line="280"/>
+        <source>(New Game Player)</source>
+        <translation>(New Game Player)</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.h" line="23"/>
+        <source>OTHER</source>
+        <translation>OTHER</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.h" line="24"/>
+        <source>AMIGA</source>
+        <translation>AMIGA</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.h" line="25"/>
+        <source>ATARI</source>
+        <translation>ATARI</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.h" line="26"/>
+        <source>GAMEGEAR</source>
+        <translation>GAMEGEAR</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.h" line="27"/>
+        <source>GENESIS/MEGADRIVE</source>
+        <translation>GENESIS/MEGADRIVE</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.h" line="28"/>
+        <source>MAME</source>
+        <translation>MAME</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.h" line="29"/>
+        <source>N64</source>
+        <translation>N64</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.h" line="30"/>
+        <source>NES</source>
+        <translation>NES</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.h" line="31"/>
+        <source>PC GAME</source>
+        <translation>PC GAME</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.h" line="32"/>
+        <source>PCE/TG16</source>
+        <translation>PCE/TG16</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.h" line="33"/>
+        <source>SEGA/MASTER SYSYTEM</source>
+        <translation>SEGA/MASTER SYSYTEM</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.h" line="34"/>
+        <source>SNES</source>
+        <translation>SNES</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.h" line="104"/>
+        <source>Player Name</source>
+        <translation>Player Name</translation>
+    </message>
+    <message>
+        <location filename="../mythgame/gamesettings.h" line="105"/>
+        <source>Name of this Game and or Emulator</source>
+        <translation>Name of this Game and or Emulator</translation>
+    </message>
+</context>
+<context>
+    <name>ThemeUI</name>
+    <message>
+        <location filename="themestrings.h" line="2"/>
+        <source>Games</source>
+        <translation>Games</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="3"/>
+        <source>Cancel</source>
+        <translation>Cancel</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="4"/>
+        <source>Play</source>
+        <translation>Play</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="5"/>
+        <source>Edit Metadata</source>
+        <translation>Edit Metadata</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="6"/>
+        <source>Modify your game&apos;s metadata.</source>
+        <translation>Modify your game&apos;s metadata.</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="7"/>
+        <source>Title:</source>
+        <translation>Title:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="8"/>
+        <source>Genre:</source>
+        <translation>Genre:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="9"/>
+        <source>Year:</source>
+        <translation>Year:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="10"/>
+        <source>Country:</source>
+        <translation>Country:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="11"/>
+        <source>Publisher:</source>
+        <translation>Publisher:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="12"/>
+        <source>Plot:</source>
+        <translation>Plot:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="13"/>
+        <source>Cover Art:</source>
+        <translation>Cover Art:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="14"/>
+        <source>Screenshot:</source>
+        <translation>Screenshot:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="15"/>
+        <source>Fanart:</source>
+        <translation>Fanart:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="16"/>
+        <source>Game is a Favorite</source>
+        <translation>Game is a Favourite</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="17"/>
+        <source>Click here to search existing coverart...</source>
+        <translation>Click here to search existing coverart...</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="18"/>
+        <source>Click here to search existing screenshots...</source>
+        <translation>Click here to search existing screenshots...</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="19"/>
+        <source>Click here to search existing fanart...</source>
+        <translation>Click here to search existing fanart...</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="20"/>
+        <source>Done</source>
+        <translation>Done</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="21"/>
+        <source>System:</source>
+        <translation>System:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="22"/>
+        <source>Favorite:</source>
+        <translation>Favourite:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="23"/>
+        <source>No</source>
+        <translation>No</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="24"/>
+        <source>Yes</source>
+        <translation>Yes</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="25"/>
+        <source>ROM Name:</source>
+        <translation>ROM Name:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="26"/>
+        <source>ROM Path:</source>
+        <translation>ROM Path:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="27"/>
+        <source>/path/to/the/thing.jpg</source>
+        <translation>/path/to/the/thing.jpg</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="28"/>
+        <source>Video Manager</source>
+        <translation>Video Manager</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="29"/>
+        <source>Game Information</source>
+        <translation>Game Information</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="30"/>
+        <source>Game:</source>
+        <translation>Game:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="31"/>
+        <source>Type:</source>
+        <translation>Type:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="32"/>
+        <source>Filename:</source>
+        <translation>Filename:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="33"/>
+        <source>Rompath:</source>
+        <translation>ROM Path:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="34"/>
+        <source>System(s):</source>
+        <translation>System(s):</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="35"/>
+        <source>CRC:</source>
+        <translation>CRC:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="36"/>
+        <source>Edit Game Information</source>
+        <translation>Edit Game Information</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="37"/>
+        <source>Game Name:</source>
+        <translation>Game Name:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="38"/>
+        <source>Description:</source>
+        <translation>Description:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="39"/>
+        <source>Boxart:</source>
+        <translation>Boxart:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="40"/>
+        <source>No Plot.</source>
+        <translation>No Plot.</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="41"/>
+        <source>General Settings</source>
+        <translation>General Settings</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="42"/>
+        <source>Game folders and general options</source>
+        <translation>Game folders and general options</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="43"/>
+        <source>Game Players</source>
+        <translation>Game Players</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="44"/>
+        <source>Configure an emulator</source>
+        <translation>Configure an emulator</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="45"/>
+        <source>Scan for Games</source>
+        <translation>Scan for Games</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="46"/>
+        <source>Add games to your library</source>
+        <translation>Add games to your library</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="47"/>
+        <source>Clear Game Data</source>
+        <translation>Clear Game Data</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="48"/>
+        <source>Empty your game library</source>
+        <translation>Empty your game library</translation>
+    </message>
+</context>
+</TS>
Index: mythplugins/mythgame/i18n/i18n.pro
===================================================================
--- mythplugins/mythgame/i18n/i18n.pro	(revision 24112)
+++ mythplugins/mythgame/i18n/i18n.pro	(working copy)
@@ -9,7 +9,7 @@
 trans.files += mythgame_nl.qm mythgame_de.qm mythgame_da.qm
 trans.files += mythgame_pt.qm mythgame_sv.qm mythgame_sl.qm
 trans.files += mythgame_fr.qm mythgame_fi.qm mythgame_et.qm
-trans.files += mythgame_nb.qm mythgame_hu.qm
+trans.files += mythgame_nb.qm mythgame_hu.qm mythgame_en_gb.qm
 
 INSTALLS += trans
 
Index: mythplugins/mythgame/i18n/translate.pro
===================================================================
--- mythplugins/mythgame/i18n/translate.pro	(revision 24112)
+++ mythplugins/mythgame/i18n/translate.pro	(working copy)
@@ -6,5 +6,4 @@
 TRANSLATIONS += mythgame_nl.ts mythgame_de.ts mythgame_da.ts
 TRANSLATIONS += mythgame_pt.ts mythgame_sv.ts mythgame_sl.ts
 TRANSLATIONS += mythgame_fr.ts mythgame_fi.ts mythgame_et.ts
-TRANSLATIONS += mythgame_nb.ts
-TRANSLATIONS += mythgame_hu.ts
+TRANSLATIONS += mythgame_nb.ts mythgame_hu.ts mythgame_en_gb.ts