Index: mythplugins/mythnetvision/i18n/mythnetvision_en_gb.ts
===================================================================
--- mythplugins/mythnetvision/i18n/mythnetvision_en_gb.ts	(revision 0)
+++ mythplugins/mythnetvision/i18n/mythnetvision_en_gb.ts	(revision 0)
@@ -0,0 +1,519 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS>
+<TS version="2.0" language="en_US">
+<context>
+    <name>MythControls</name>
+    <message>
+        <location filename="../mythnetvision/main.cpp" line="36"/>
+        <source>Internet Television Client - Search</source>
+        <translation>Internet Television Client - Search</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/main.cpp" line="38"/>
+        <source>Internet Television Client - Site/Tree View</source>
+        <translation>Internet Television Client - Site/Tree View</translation>
+    </message>
+</context>
+<context>
+    <name>NetSearch</name>
+    <message>
+        <location filename="../mythnetvision/netsearch.cpp" line="225"/>
+        <source>Search Options</source>
+        <translation>Search Options</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/netsearch.cpp" line="244"/>
+        <source>Open Web Link</source>
+        <translation>Open Web Link</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/netsearch.cpp" line="258"/>
+        <source>Play</source>
+        <translation>Play</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/netsearch.cpp" line="260"/>
+        <source>Save This Video</source>
+        <translation>Save This Video</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/netsearch.cpp" line="267"/>
+        <source>Delete</source>
+        <translation>Delete</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/netsearch.cpp" line="271"/>
+        <source>Previous Page</source>
+        <translation>Previous Page</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/netsearch.cpp" line="273"/>
+        <source>Next Page</source>
+        <translation>Next Page</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/netsearch.cpp" line="432"/>
+        <source>Searching %1 for &quot;%2&quot;...</source>
+        <translation>Searching %1 for &quot;%2&quot;...</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/netsearch.cpp" line="447"/>
+        <location filename="../mythnetvision/netsearch.cpp" line="466"/>
+        <source>Changing to page %1 of search &quot;%2&quot;...</source>
+        <translation>Changing to page %1 of search &quot;%2&quot;...</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/netsearch.cpp" line="530"/>
+        <source>Timed out waiting for query to finish.  API might be down.</source>
+        <translation>Timed out waiting for query to finish.  API might be down.</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/netsearch.cpp" line="590"/>
+        <location filename="../mythnetvision/netsearch.cpp" line="591"/>
+        <location filename="../mythnetvision/netsearch.cpp" line="869"/>
+        <location filename="../mythnetvision/netsearch.cpp" line="882"/>
+        <source>Web Only</source>
+        <translation>Web Only</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/netsearch.cpp" line="595"/>
+        <location filename="../mythnetvision/netsearch.cpp" line="596"/>
+        <location filename="../mythnetvision/netsearch.cpp" line="871"/>
+        <location filename="../mythnetvision/netsearch.cpp" line="884"/>
+        <source>Downloadable</source>
+        <translation>Downloadable</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/netsearch.cpp" line="666"/>
+        <source>No browser command set! MythNetVision needs MythBrowser installed to display the video.</source>
+        <translation>No browser command set! MythNetVision needs MythBrowser installed to display the video.</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/netsearch.cpp" line="709"/>
+        <source>Are you sure you want to delete this file?</source>
+        <translation>Are you sure you want to delete this file?</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/netsearch.cpp" line="773"/>
+        <source>Download already running.  Try again when the download is finished.</source>
+        <translation>Download already running.  Try again when the download is finished.</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/netsearch.cpp" line="801"/>
+        <source>This file already downloaded to:
+%1</source>
+        <translation>This file has already downloaded to:
+%1</translation>
+    </message>
+</context>
+<context>
+    <name>NetTree</name>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="336"/>
+        <location filename="../mythnetvision/nettree.cpp" line="1060"/>
+        <location filename="../mythnetvision/nettree.cpp" line="1073"/>
+        <source>Web Only</source>
+        <translation>Web Only</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="338"/>
+        <location filename="../mythnetvision/nettree.cpp" line="1062"/>
+        <location filename="../mythnetvision/nettree.cpp" line="1075"/>
+        <source>Downloadable</source>
+        <translation>Downloadable</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="485"/>
+        <source>Playback/Download Options</source>
+        <translation>Playback/Download Options</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="507"/>
+        <source>Open Web Link</source>
+        <translation>Open Web Link</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="510"/>
+        <source>Save This Video</source>
+        <translation>Save This Video</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="513"/>
+        <source>Scan/Manage Subscriptions</source>
+        <translation>Scan/Manage Subscriptions</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="514"/>
+        <source>Change View</source>
+        <translation>Change View</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="528"/>
+        <source>View Options</source>
+        <translation>View Options</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="540"/>
+        <source>Switch to List View</source>
+        <translation>Switch to List View</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="542"/>
+        <source>Switch to Gallery View</source>
+        <translation>Switch to Gallery View</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="544"/>
+        <source>Switch to Browse View</source>
+        <translation>Switch to Browse View</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="556"/>
+        <source>Subscription Management</source>
+        <translation>Subscription Management</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="567"/>
+        <source>Update Site Maps</source>
+        <translation>Update Site Maps</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="568"/>
+        <source>Update RSS</source>
+        <translation>Update RSS</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="569"/>
+        <source>Manage Site Subscriptions</source>
+        <translation>Manage Site Subscriptions</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="570"/>
+        <source>Manage RSS Subscriptions</source>
+        <translation>Manage RSS Subscriptions</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="572"/>
+        <source>Enable Automatic Site Updates</source>
+        <translation>Enable Automatic Site Updates</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="574"/>
+        <source>Disable Automatic Site Updates</source>
+        <translation>Disable Automatic Site Updates</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="641"/>
+        <location filename="../mythnetvision/nettree.cpp" line="660"/>
+        <location filename="../mythnetvision/nettree.cpp" line="691"/>
+        <location filename="../mythnetvision/nettree.cpp" line="735"/>
+        <source>Back</source>
+        <translation>Back</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="803"/>
+        <source>No browser command set! MythNetTree needs MythBrowser installed to display the video.</source>
+        <translation>No browser command set! MythNetTree needs MythBrowser installed to display the video.</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="856"/>
+        <source>Are you sure you want to delete this file?</source>
+        <translation>Are you sure you want to delete this file?</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="945"/>
+        <source>Download already running.  Try again when the download is finished.</source>
+        <translation>Download already running.  Try again when the download is finished.</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="1344"/>
+        <source>Updating RSS.  This could take a while...</source>
+        <translation>Updating RSS.  This could take a while...</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/nettree.cpp" line="1360"/>
+        <source>Updating Site Maps.  This could take a while...</source>
+        <translation>Updating Site Maps.  This could take a while...</translation>
+    </message>
+</context>
+<context>
+    <name>QObject</name>
+    <message>
+        <location filename="../mythnetvision/netsearch.cpp" line="585"/>
+        <location filename="../mythnetvision/netsearch.cpp" line="880"/>
+        <location filename="../mythnetvision/nettree.cpp" line="334"/>
+        <location filename="../mythnetvision/nettree.cpp" line="1071"/>
+        <source>MB</source>
+        <comment>Megabytes</comment>
+        <translation>MB</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/parse.cpp" line="369"/>
+        <source>Comments</source>
+        <translation>Comments</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/parse.cpp" line="388"/>
+        <source>Responses</source>
+        <translation>Responses</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/parse.cpp" line="407"/>
+        <source>Backlinks</source>
+        <translation>Backlinks</translation>
+    </message>
+</context>
+<context>
+    <name>RSSEditor</name>
+    <message>
+        <location filename="../mythnetvision/rsseditor.cpp" line="536"/>
+        <source>Are you sure you want to unsubscribe from this feed?</source>
+        <translation>Are you sure you want to unsubscribe from this feed?</translation>
+    </message>
+</context>
+<context>
+    <name>RSSSite</name>
+    <message>
+        <location filename="../mythnetvision/rssmanager.cpp" line="265"/>
+        <source>Retrieve Failed. </source>
+        <translation>Retrieve Failed. </translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/rssmanager.cpp" line="272"/>
+        <source>Failed to read downloaded file.</source>
+        <translation>Failed to read downloaded file.</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/rssmanager.cpp" line="280"/>
+        <source>Showing Cached News.</source>
+        <translation>Showing Cached News.</translation>
+    </message>
+    <message>
+        <location filename="../mythnetvision/rssmanager.cpp" line="315"/>
+        <source>XML-file is not valid RSS-feed</source>
+        <translation>XML-file is not valid RSS-feed</translation>
+    </message>
+</context>
+<context>
+    <name>ThemeUI</name>
+    <message>
+        <location filename="themestrings.h" line="2"/>
+        <source>No search scripts found!  This usually indicates missing prerequisites.</source>
+        <translation>No search scripts found!  This usually indicates missing prerequisites.</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="3"/>
+        <source>Page %1</source>
+        <translation>Page %1</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="4"/>
+        <source>Search:</source>
+        <translation>Search:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="5"/>
+        <source>Author: %1</source>
+        <translation>Author: %1</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="6"/>
+        <source>Edit/Add a New RSS Feed</source>
+        <translation>Edit/Add a New RSS Feed</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="7"/>
+        <source>Type the URL to an RSS 2.0 media feed below.  If editing an existing feed, modify any of the values you like.  Press &quot;Save&quot; to save/subscribe.
+
+For new subscriptions, you can simply enter the URL and click &quot;Save.&quot;</source>
+        <translation>Type the URL to an RSS 2.0 media feed below.  If editing an existing feed, modify any of the values you like.  Press &quot;Save&quot; to save/subscribe.
+
+For new subscriptions, you can simply enter the URL and click &quot;Save.&quot;</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="8"/>
+        <source>Title:</source>
+        <translation>Title:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="9"/>
+        <source>URL:</source>
+        <translation>URL:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="10"/>
+        <source>Author:</source>
+        <translation>Author:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="11"/>
+        <source>Description:</source>
+        <translation>Description:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="12"/>
+        <source>Download video from this feed automatically</source>
+        <translation>Download video from this feed automatically</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="13"/>
+        <source>Select to change image...</source>
+        <translation>Select to change image...</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="14"/>
+        <source>Save</source>
+        <translation>Save</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="15"/>
+        <source>Cancel</source>
+        <translation>Cancel</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="16"/>
+        <source>You haven&apos;t added any Sites/RSS Feeds yet!  To add a site, press MENU, then choose &quot;Scan/Manage Subscriptions,&quot; then &quot;Manage Site Subscriptions.&quot;</source>
+        <translation>You haven&apos;t added any sites/RSS feeds yet!  To add a site, press MENU, then choose &quot;Scan/Manage Subscriptions,&quot; then &quot;Manage Site Subscriptions.&quot;</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="17"/>
+        <source>Manage Tree Subscriptions</source>
+        <translation>Manage Tree Subscriptions</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="18"/>
+        <source>Choose the sites you wish to browse.</source>
+        <translation>Choose the sites you wish to browse.</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="19"/>
+        <source>New Site</source>
+        <translation>New Site</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="20"/>
+        <source>Edit Site</source>
+        <translation>Edit Site</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="21"/>
+        <source>Unsubscribe</source>
+        <translation>Unsubscribe</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="22"/>
+        <source>Search Term:</source>
+        <translation>Search Term:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="23"/>
+        <source>Size: %1</source>
+        <translation>Size: %1</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="24"/>
+        <source>Description: %1</source>
+        <translation>Description: %1</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="25"/>
+        <source>Can&apos;t find any search scripts!  This usually indicates missing search script prerequisites.  Try running a script from the command line.</source>
+        <translation>Can&apos;t find any search scripts!  This usually indicates missing search script prerequisites.  Try running a script from the command line.</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="26"/>
+        <source>Manage Site Subscriptions</source>
+        <translation>Manage Site Subscriptions</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="27"/>
+        <source>Edit</source>
+        <translation>Edit</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="28"/>
+        <source>New</source>
+        <translation>New</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="29"/>
+        <source>Remove</source>
+        <translation>Remove</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="30"/>
+        <source>Manage RSS Subscriptions</source>
+        <translation>Manage RSS Subscriptions</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="31"/>
+        <source>Feed Name:</source>
+        <translation>Feed Name:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="32"/>
+        <source>Feed URL:</source>
+        <translation>Feed URL:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="33"/>
+        <source>Site Description:</source>
+        <translation>Site Description:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="34"/>
+        <source>Feed Author:</source>
+        <translation>Feed Author:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="35"/>
+        <source>Download this feed automatically</source>
+        <translation>Download this feed automatically</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="36"/>
+        <source>Choose Image</source>
+        <translation>Choose Image</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="37"/>
+        <source>Posted: %1</source>
+        <translation>Posted: %1</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="38"/>
+        <source>Runtime</source>
+        <translation>Runtime</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="39"/>
+        <source>Author</source>
+        <translation>Author</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="40"/>
+        <source>Rating</source>
+        <translation>Rating</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="41"/>
+        <source>Search Internet Video</source>
+        <translation>Search Internet Video</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="42"/>
+        <source>Search popular video sites</source>
+        <translation>Search popular video sites</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="43"/>
+        <source>Browse Internet Video</source>
+        <translation>Browse Internet Video</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="44"/>
+        <source>Browse highlights and entire sites</source>
+        <translation>Browse highlights and entire sites</translation>
+    </message>
+</context>
+</TS>
Index: mythplugins/mythnetvision/i18n/i18n.pro
===================================================================
--- mythplugins/mythnetvision/i18n/i18n.pro	(revision 24112)
+++ mythplugins/mythnetvision/i18n/i18n.pro	(working copy)
@@ -6,7 +6,7 @@
 
 trans.path = $${PREFIX}/share/mythtv/i18n/
 trans.files += mythnetvision_da.qm mythnetvision_fr.qm mythnetvision_sv.qm
-trans.files += mythnetvision_et.qm
+trans.files += mythnetvision_et.qm mythnetvision_en_gb.qm
 
 INSTALLS += trans
 
Index: mythplugins/mythnetvision/i18n/translate.pro
===================================================================
--- mythplugins/mythnetvision/i18n/translate.pro	(revision 24112)
+++ mythplugins/mythnetvision/i18n/translate.pro	(working copy)
@@ -2,5 +2,5 @@
 SOURCES += ../mythnetvision/*.h
 SOURCES += ./themestrings.h
 
-TRANSLATIONS = mythnetvision_da.ts mythnetvision_fr.ts mythnetvision_sv.ts
-TRANSLATIONS += mythnetvision_et.ts
+TRANSLATIONS  = mythnetvision_da.ts mythnetvision_fr.ts mythnetvision_sv.ts
+TRANSLATIONS += mythnetvision_et.ts mythnetvision_en_gb.ts