Index: mythplugins/mythnews/i18n/mythnews_en_gb.ts
===================================================================
--- mythplugins/mythnews/i18n/mythnews_en_gb.ts	(revision 0)
+++ mythplugins/mythnews/i18n/mythnews_en_gb.ts	(revision 0)
@@ -0,0 +1,274 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS>
+<TS version="2.0" language="en_US">
+<context>
+    <name>MythControls</name>
+    <message>
+        <location filename="../mythnews/main.cpp" line="27"/>
+        <source>RSS News feed reader</source>
+        <translation>RSS News feed reader</translation>
+    </message>
+    <message>
+        <location filename="../mythnews/main.cpp" line="31"/>
+        <source>Update news items</source>
+        <translation>Update news items</translation>
+    </message>
+    <message>
+        <location filename="../mythnews/main.cpp" line="33"/>
+        <source>Force update news items</source>
+        <translation>Force update news items</translation>
+    </message>
+    <message>
+        <location filename="../mythnews/main.cpp" line="35"/>
+        <source>Cancel news item updating</source>
+        <translation>Cancel news item updating</translation>
+    </message>
+</context>
+<context>
+    <name>MythNews</name>
+    <message>
+        <location filename="../mythnews/mythnews.cpp" line="125"/>
+        <source>You haven&apos;t configured MythNews to use any sites.</source>
+        <translation>You haven&apos;t configured MythNews to use any sites.</translation>
+    </message>
+    <message>
+        <location filename="../mythnews/mythnews.cpp" line="455"/>
+        <source>Updated</source>
+        <translation>Updated</translation>
+    </message>
+    <message>
+        <location filename="../mythnews/mythnews.cpp" line="462"/>
+        <source>Unknown</source>
+        <translation>Unknown</translation>
+    </message>
+    <message>
+        <location filename="../mythnews/mythnews.cpp" line="473"/>
+        <location filename="../mythnews/mythnews.cpp" line="732"/>
+        <source>%1 of %2 (%3 percent)</source>
+        <translation>%1 of %2 (%3 percent)</translation>
+    </message>
+    <message>
+        <location filename="../mythnews/mythnews.cpp" line="805"/>
+        <source>No browser command set! MythNews needs MythBrowser to be installed.</source>
+        <translation>No browser command set! MythNews needs MythBrowser to be installed.</translation>
+    </message>
+    <message>
+        <location filename="../mythnews/mythnews.cpp" line="918"/>
+        <source>Options</source>
+        <translation>Options</translation>
+    </message>
+    <message>
+        <location filename="../mythnews/mythnews.cpp" line="932"/>
+        <source>Edit News Site</source>
+        <translation>Edit News Site</translation>
+    </message>
+    <message>
+        <location filename="../mythnews/mythnews.cpp" line="933"/>
+        <source>Add News Site</source>
+        <translation>Add News Site</translation>
+    </message>
+    <message>
+        <location filename="../mythnews/mythnews.cpp" line="935"/>
+        <source>Delete News Site</source>
+        <translation>Delete News Site</translation>
+    </message>
+    <message>
+        <location filename="../mythnews/mythnews.cpp" line="936"/>
+        <source>Cancel</source>
+        <translation>Cancel</translation>
+    </message>
+</context>
+<context>
+    <name>MythNewsEditor</name>
+    <message>
+        <location filename="../mythnews/mythnewseditor.cpp" line="81"/>
+        <source>Edit Site Details</source>
+        <translation>Edit Site Details</translation>
+    </message>
+    <message>
+        <location filename="../mythnews/mythnewseditor.cpp" line="81"/>
+        <source>Enter Site Details</source>
+        <translation>Enter Site Details</translation>
+    </message>
+    <message>
+        <location filename="../mythnews/mythnewseditor.cpp" line="85"/>
+        <source>Name:</source>
+        <translation>Name:</translation>
+    </message>
+    <message>
+        <location filename="../mythnews/mythnewseditor.cpp" line="87"/>
+        <source>URL:</source>
+        <translation>URL:</translation>
+    </message>
+    <message>
+        <location filename="../mythnews/mythnewseditor.cpp" line="89"/>
+        <source>Icon:</source>
+        <translation>Icon:</translation>
+    </message>
+    <message>
+        <location filename="../mythnews/mythnewseditor.cpp" line="91"/>
+        <source>Podcast:</source>
+        <translation>Podcast:</translation>
+    </message>
+    <message>
+        <location filename="../mythnews/mythnewseditor.cpp" line="93"/>
+        <source>Ok</source>
+        <translation>OK</translation>
+    </message>
+    <message>
+        <location filename="../mythnews/mythnewseditor.cpp" line="94"/>
+        <source>Cancel</source>
+        <translation>Cancel</translation>
+    </message>
+</context>
+<context>
+    <name>NewsSite</name>
+    <message>
+        <location filename="../mythnews/newssite.cpp" line="218"/>
+        <source>Retrieve Failed. </source>
+        <translation>Retrieve Failed. </translation>
+    </message>
+    <message>
+        <location filename="../mythnews/newssite.cpp" line="225"/>
+        <location filename="../mythnews/newssite.cpp" line="234"/>
+        <location filename="../mythnews/newssite.cpp" line="243"/>
+        <source>Failed to retrieve news</source>
+        <translation>Failed to retrieve news</translation>
+    </message>
+    <message>
+        <location filename="../mythnews/newssite.cpp" line="226"/>
+        <source>No Cached News.</source>
+        <translation>No Cached News.</translation>
+    </message>
+    <message>
+        <location filename="../mythnews/newssite.cpp" line="245"/>
+        <source>Failed to read downloaded file.</source>
+        <translation>Failed to read downloaded file.</translation>
+    </message>
+    <message>
+        <location filename="../mythnews/newssite.cpp" line="253"/>
+        <source>Showing Cached News.</source>
+        <translation>Showing Cached News.</translation>
+    </message>
+    <message>
+        <location filename="../mythnews/newssite.cpp" line="274"/>
+        <source>XML-file is not valid RSS-feed</source>
+        <translation>XML-file is not valid RSS-feed</translation>
+    </message>
+</context>
+<context>
+    <name>QObject</name>
+    <message>
+        <location filename="../mythnews/mythnews.cpp" line="705"/>
+        <source>Downloading media...</source>
+        <translation>Downloading media...</translation>
+    </message>
+</context>
+<context>
+    <name>ThemeUI</name>
+    <message>
+        <location filename="themestrings.h" line="2"/>
+        <source>Edit RSS News Feeds</source>
+        <translation>Edit RSS News Feeds</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="3"/>
+        <source>You can edit the name, URL, and icon path for the selected RSS Feed on this screen.  You can also designate the item as a podcast.
+
+When you have finished editing, select &quot;OK&quot; or &quot;Cancel&quot; to continue.</source>
+        <translation>You can edit the name, URL, and icon path for the selected RSS Feed on this screen.  You can also designate the item as a podcast.
+
+When you have finished editing, select &quot;OK&quot; or &quot;Cancel&quot; to continue.</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="4"/>
+        <source>Name:</source>
+        <translation>Name:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="5"/>
+        <source>URL:</source>
+        <translation>URL:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="6"/>
+        <source>Icon:</source>
+        <translation>Icon:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="7"/>
+        <source>Podcast:</source>
+        <translation>Podcast:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="8"/>
+        <source>Genre:</source>
+        <translation>Genre:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="9"/>
+        <source>Channel:</source>
+        <translation>Channel:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="10"/>
+        <source>Cancel</source>
+        <translation>Cancel</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="11"/>
+        <source>OK</source>
+        <translation>OK</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="12"/>
+        <source>News Subscriptions</source>
+        <translation>News Subscriptions</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="13"/>
+        <source>Choose the news sites you would like to read.</source>
+        <translation>Choose the news sites you would like to read.</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="14"/>
+        <source>Edit RSS News Feed</source>
+        <translation>Edit RSS News Feed</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="15"/>
+        <source>Ok</source>
+        <translation>OK</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="16"/>
+        <source>Contexts</source>
+        <translation>Contexts</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="17"/>
+        <source>Actions</source>
+        <translation>Actions</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="18"/>
+        <source>RSS Feeds</source>
+        <translation>RSS Feeds</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="19"/>
+        <source>MythNews Configuration</source>
+        <translation>MythNews Configuration</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="20"/>
+        <source>Minutes</source>
+        <translation>Minutes</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="21"/>
+        <source>News Feeds</source>
+        <translation>News Feeds</translation>
+    </message>
+</context>
+</TS>
Index: mythplugins/mythnews/i18n/i18n.pro
===================================================================
--- mythplugins/mythnews/i18n/i18n.pro	(revision 24112)
+++ mythplugins/mythnews/i18n/i18n.pro	(working copy)
@@ -11,6 +11,7 @@
 trans.files += mythnews_ja.qm mythnews_sl.qm mythnews_et.qm
 trans.files += mythnews_fi.qm mythnews_nb.qm mythnews_ru.qm
 trans.files += mythnews_cs.qm mythnews_pl.qm mythnews_hu.qm
+trans.files += mythnews_en_gb.qm
 
 INSTALLS += trans
 
Index: mythplugins/mythnews/i18n/translate.pro
===================================================================
--- mythplugins/mythnews/i18n/translate.pro	(revision 24112)
+++ mythplugins/mythnews/i18n/translate.pro	(working copy)
@@ -7,5 +7,5 @@
 TRANSLATIONS += mythnews_pt.ts mythnews_sv.ts mythnews_fr.ts
 TRANSLATIONS += mythnews_ja.ts mythnews_sl.ts mythnews_et.ts
 TRANSLATIONS += mythnews_fi.ts mythnews_nb.ts mythnews_ru.ts
-TRANSLATIONS += mythnews_cs.ts mythnews_pl.ts
-TRANSLATIONS += mythnews_hu.ts
+TRANSLATIONS += mythnews_cs.ts mythnews_pl.ts mythnews_hu.ts
+TRANSLATIONS += mythnews_en_gb.ts