Index: mythplugins/mythzoneminder/i18n/mythzoneminder_en_gb.ts
===================================================================
--- mythplugins/mythzoneminder/i18n/mythzoneminder_en_gb.ts	(revision 0)
+++ mythplugins/mythzoneminder/i18n/mythzoneminder_en_gb.ts	(revision 0)
@@ -0,0 +1,398 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS>
+<TS version="2.0" language="en_US">
+<context>
+    <name>FunctionDialog</name>
+    <message>
+        <location filename="../mythzoneminder/zmconsole.cpp" line="67"/>
+        <source>Ok</source>
+        <translation>OK</translation>
+    </message>
+</context>
+<context>
+    <name>MythControls</name>
+    <message>
+        <location filename="../mythzoneminder/main.cpp" line="41"/>
+        <source>ZoneMinder Console</source>
+        <translation>ZoneMinder Console</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/main.cpp" line="43"/>
+        <source>ZoneMinder Live View</source>
+        <translation>ZoneMinder Live View</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/main.cpp" line="45"/>
+        <source>ZoneMinder Events</source>
+        <translation>ZoneMinder Events</translation>
+    </message>
+</context>
+<context>
+    <name>QObject</name>
+    <message>
+        <location filename="../mythzoneminder/zmsettings.cpp" line="17"/>
+        <source>IP address of the mythzoneminder server</source>
+        <translation>IP address of the MythZoneMinder server</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmsettings.cpp" line="19"/>
+        <source>Enter the IP address of the mythzoneminder server that this frontend should connect to.</source>
+        <translation>Enter the IP address of the MythZoneMinder server that this frontend should connect to.</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmsettings.cpp" line="27"/>
+        <source>Port the server runs on</source>
+        <translation>Port the server runs on</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmsettings.cpp" line="29"/>
+        <source>Unless you&apos;ve got good reason to, don&apos;t change this.</source>
+        <translation>Unless you&apos;ve got good reason to, don&apos;t change this.</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmsettings.cpp" line="37"/>
+        <source>Date format</source>
+        <translation>Date format</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmsettings.cpp" line="41"/>
+        <source>Samples are shown using today&apos;s date.</source>
+        <translation>Samples are shown using today&apos;s date.</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmsettings.cpp" line="47"/>
+        <source>Samples are shown using tomorrow&apos;s date.</source>
+        <translation>Samples are shown using tomorrow&apos;s date.</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmsettings.cpp" line="63"/>
+        <source>Your preferred date format to use on the events screens.</source>
+        <translation>Your preferred date format to use on the events screens.</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmsettings.cpp" line="71"/>
+        <source>Time format</source>
+        <translation>Time format</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmsettings.cpp" line="79"/>
+        <source>Your preferred time format to display on the events screens.</source>
+        <translation>Your preferred time format to display on the events screens.</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmsettings.cpp" line="87"/>
+        <source>MythZoneMinder Settings</source>
+        <translation>MythZoneMinder Settings</translation>
+    </message>
+</context>
+<context>
+    <name>ThemeUI</name>
+    <message>
+        <location filename="themestrings.h" line="2"/>
+        <source>Edit Monitor Function</source>
+        <translation>Edit Monitor Function</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="3"/>
+        <source>Enabled</source>
+        <translation>Enabled</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="4"/>
+        <source>Zone Minder Console</source>
+        <translation>ZoneMinder Console</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="5"/>
+        <source>Status</source>
+        <translation>Status</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="6"/>
+        <source>Load: 0.12</source>
+        <translation>Load: 0.12</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="7"/>
+        <source>Disk: 100%</source>
+        <translation>Disk: 100%</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="8"/>
+        <source>Camera</source>
+        <translation>Camera</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="9"/>
+        <source>Function</source>
+        <translation>Function</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="10"/>
+        <source>Source</source>
+        <translation>Source</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="11"/>
+        <source>Events</source>
+        <translation>Events</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="12"/>
+        <source>[x]</source>
+        <translation>[x]</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="13"/>
+        <source>[R] = Running [S] = Stopped</source>
+        <translation>[R] = Running [S] = Stopped</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="14"/>
+        <source>Zone Minder Events</source>
+        <translation>ZoneMinder Events</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="15"/>
+        <source>Select Camera</source>
+        <translation>Select Camera</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="16"/>
+        <source>Select Date</source>
+        <translation>Select Date</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="17"/>
+        <source>0/0</source>
+        <translation>0/0</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="18"/>
+        <source>Event Name</source>
+        <translation>Event Name</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="19"/>
+        <source>Date/Time</source>
+        <translation>Date/Time</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="20"/>
+        <source>Length</source>
+        <translation>Length</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="21"/>
+        <source>Name</source>
+        <translation>Name</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="22"/>
+        <source>Date</source>
+        <translation>Date</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="23"/>
+        <source>Duration</source>
+        <translation>Duration</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="24"/>
+        <source>Zone Minder Event Player</source>
+        <translation>ZoneMinder Event Player</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="25"/>
+        <source>Event:</source>
+        <translation>Event:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="26"/>
+        <source>Event Name (1/123)</source>
+        <translation>Event Name (1/123)</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="27"/>
+        <source>Camera:</source>
+        <translation>Camera:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="28"/>
+        <source>Camera Name</source>
+        <translation>Camera Name</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="29"/>
+        <source>Frame:</source>
+        <translation>Frame:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="30"/>
+        <source>1/123</source>
+        <translation>1/123</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="31"/>
+        <source>Date:</source>
+        <translation>Date:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="32"/>
+        <source>Mon 01 Nov 2006 12:34</source>
+        <translation>Mon 01 Nov 2006 12:34</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="33"/>
+        <source>There are no events to show</source>
+        <translation>There are no events to show</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="34"/>
+        <source>Zone Minder Live Player</source>
+        <translation>ZoneMinder Live Player</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="35"/>
+        <source>Monitor 1</source>
+        <translation>Monitor 1</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="36"/>
+        <source>Monitor 2</source>
+        <translation>Monitor 2</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="37"/>
+        <source>Monitor 3</source>
+        <translation>Monitor 3</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="38"/>
+        <source>Monitor 4</source>
+        <translation>Monitor 4</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="39"/>
+        <source>Show Console</source>
+        <translation>Show Console</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="40"/>
+        <source>Show Live View</source>
+        <translation>Show Live View</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="41"/>
+        <source>Show Events</source>
+        <translation>Show Events</translation>
+    </message>
+</context>
+<context>
+    <name>ZMClient</name>
+    <message>
+        <location filename="../mythzoneminder/zmclient.cpp" line="116"/>
+        <source>Cannot connect to the mythzmserver - Is it running? Have you set the correct IP and port in the settings?</source>
+        <translation>Cannot connect to mythzmserver - Is it running? Have you set the correct IP and port in the settings?</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmclient.cpp" line="191"/>
+        <source>The mythzmserver didn&apos;t respond to our request to get the protocol version!!</source>
+        <translation>The mythzmserver didn&apos;t respond to our request to get the protocol version!!</translation>
+    </message>
+</context>
+<context>
+    <name>ZMConsole</name>
+    <message>
+        <location filename="../mythzoneminder/zmconsole.cpp" line="207"/>
+        <source>Running</source>
+        <translation>Running</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmconsole.cpp" line="212"/>
+        <source>Stopped</source>
+        <translation>Stopped</translation>
+    </message>
+</context>
+<context>
+    <name>ZMEvents</name>
+    <message>
+        <location filename="../mythzoneminder/zmevents.cpp" line="88"/>
+        <source>Play</source>
+        <translation>Play</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmevents.cpp" line="95"/>
+        <source>Delete</source>
+        <translation>Delete</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmevents.cpp" line="171"/>
+        <location filename="../mythzoneminder/zmevents.cpp" line="344"/>
+        <location filename="../mythzoneminder/zmevents.cpp" line="359"/>
+        <source>All Cameras</source>
+        <translation>All Cameras</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmevents.cpp" line="174"/>
+        <location filename="../mythzoneminder/zmevents.cpp" line="368"/>
+        <source>All Dates</source>
+        <translation>All Dates</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmevents.cpp" line="444"/>
+        <source>Refresh</source>
+        <translation>Refresh</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmevents.cpp" line="445"/>
+        <source>Change View</source>
+        <translation>Change View</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmevents.cpp" line="446"/>
+        <source>Delete All</source>
+        <translation>Delete All</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmevents.cpp" line="458"/>
+        <source>Delete All Events?</source>
+        <translation>Delete All Events?</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmevents.cpp" line="459"/>
+        <source>Deleting %1 events in this view.</source>
+        <translation>Deleting %1 events in this view.</translation>
+    </message>
+</context>
+<context>
+    <name>ZMPlayer</name>
+    <message>
+        <location filename="../mythzoneminder/zmplayer.cpp" line="106"/>
+        <location filename="../mythzoneminder/zmplayer.cpp" line="288"/>
+        <source>Pause</source>
+        <translation>Pause</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmplayer.cpp" line="112"/>
+        <source>Delete</source>
+        <translation>Delete</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmplayer.cpp" line="118"/>
+        <source>Previous</source>
+        <translation>Previous</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmplayer.cpp" line="124"/>
+        <source>Next</source>
+        <translation>Next</translation>
+    </message>
+    <message>
+        <location filename="../mythzoneminder/zmplayer.cpp" line="295"/>
+        <location filename="../mythzoneminder/zmplayer.cpp" line="374"/>
+        <source>Play</source>
+        <translation>Play</translation>
+    </message>
+</context>
+</TS>
Index: mythplugins/mythzoneminder/i18n/i18n.pro
===================================================================
--- mythplugins/mythzoneminder/i18n/i18n.pro	(revision 24112)
+++ mythplugins/mythzoneminder/i18n/i18n.pro	(working copy)
@@ -5,7 +5,8 @@
 CONFIG -= moc qt
 
 trans.path = $${PREFIX}/share/mythtv/i18n/
-trans.files += mythzoneminder_sv.qm mythzoneminder_hu.qm mythzoneminder_da.qm mythzoneminder_fr.qm
+trans.files += mythzoneminder_sv.qm mythzoneminder_hu.qm mythzoneminder_da.qm 
+trans.files += mythzoneminder_fr.qm mythzoneminder_en_gb.qm
 
 INSTALLS += trans
 
Index: mythplugins/mythzoneminder/i18n/translate.pro
===================================================================
--- mythplugins/mythzoneminder/i18n/translate.pro	(revision 24112)
+++ mythplugins/mythzoneminder/i18n/translate.pro	(working copy)
@@ -2,4 +2,5 @@
 SOURCES += ../mythzoneminder/*.h
 SOURCES += ./themestrings.h
 
-TRANSLATIONS = mythzoneminder_sv.ts mythzoneminder_hu.ts mythzoneminder_da.ts mythzoneminder_fr.ts
+TRANSLATIONS += mythzoneminder_sv.ts mythzoneminder_hu.ts mythzoneminder_da.ts 
+TRANSLATIONS += mythzoneminder_fr.ts mythzoneminder_en_gb.ts