--- schedule-ui-org.xml	2010-06-12 15:17:43.000000000 +0200
+++ schedule-ui.xml	2010-06-13 22:37:53.000000000 +0200
@@ -501,13 +501,43 @@
             <statetype name="buttonitem">
                 <area>0,0,1200,24</area>
                 <state name="active">
+<!-- Show status to the left (JM) -->
+                <statetype name="status">
+                    <position>0,2</position>
+                    <state name="disabled">
+                        <imagetype name="statusimage">
+                            <filename>schedule_disabled.png</filename>
+                        </imagetype>
+                    </state>
+                    <state name="error">
+                        <imagetype name="statusimage">
+                            <filename>schedule_conflict.png</filename>
+                        </imagetype>
+                    </state>
+                    <state name="warning">
+                        <imagetype name="statusimage">
+                            <filename>schedule_other.png</filename>
+                        </imagetype>
+                    </state>
+                   <state name="normal">
+                        <imagetype name="statusimage">
+                            <filename>schedule_record.png</filename>
+                        </imagetype>
+                    </state>
+                    <state name="running">
+                        <imagetype name="statusimage">
+                            <filename>schedule_recording.png</filename>
+                        </imagetype>
+                    </state>
+                </statetype>
+<!-- END show status -->
                     <textarea name="shortstarttimedate" from="buttontext">
                         <area>32,2,190,24</area>
                     </textarea>
                     <textarea name="channel" from="shortstarttimedate">
                         <area>240,2,190,24</area>
                     </textarea>
-                    <textarea name="title" from="shortstarttimedate">
+                    <textarea name="titlesubtitle" from="shortstarttimedate">
                         <area>440,2,690,24</area>
                     </textarea>
                     <textarea name="card" from="shortstarttimedate">
@@ -1710,8 +1740,9 @@
 
     </window>
 
-    <window name="scheduleeditor">
 
+<!-- SCHEDULE EDITING (JM) -->
+    <window name="scheduleeditor">
         <shape name="details_background" from="basebackground">
             <area>24,24,1230,276</area>
         </shape>
@@ -1722,11 +1753,11 @@
         </textarea>
 
         <textarea name="timedate" from="basetextarea">
-            <area>50,260,440,28</area>
+            <area>50,265,440,28</area>
         </textarea>
 
         <textarea name="channel" from="basetextarea">
-            <area>1024,260,200,36</area>
+            <area>1024,265,200,36</area>
             <align>right</align>
         </textarea>
 
@@ -1738,41 +1769,41 @@
     
         <buttonlist name="rules" from="baseverywideselector">
             <helptext>Select the recording rule</helptext>
-            <position>410,304</position>
+            <position>340,305</position>
         </buttonlist>
 
         <button name="schedoptions" from="baseverywidebutton">
-            <position>410,354</position>
-            <value>Schedule Options</value>
+            <position>340,350</position>
+            <value>Schema options</value>
             <helptext></helptext>
         </button>
 
         <button name="storeoptions" from="baseverywidebutton">
-            <position>410,400</position>
+            <position>340,395</position>
             <value>Storage Options</value>
             <helptext></helptext>
         </button>
 
         <button name="postprocessing" from="baseverywidebutton">
-            <position>410,444</position>
+            <position>340,440</position>
             <value>Post Processing</value>
             <helptext></helptext>
         </button>
 
         <button name="schedinfo" from="baseverywidebutton">
-            <position>410,490</position>
+            <position>340,485</position>
             <value>Schedule Info</value>
             <helptext></helptext>
         </button>        
 
         <button name="preview" from="baseverywidebutton">
-            <position>410,534</position>
+            <position>340,530</position>
             <value>Preview</value>
             <helptext></helptext>
         </button>
 
         <button name="cancel" from="basebutton">
-            <position>330,644</position>
+            <position>340,644</position>
             <value>Cancel</value>
         </button>
 
@@ -1794,11 +1825,11 @@
         </textarea>
 
         <textarea name="timedate" from="basetextarea">
-            <area>50,270,440,28</area>
+            <area>50,265,440,28</area>
         </textarea>
 
         <textarea name="channel" from="basetextarea">
-            <area>1024,270,200,36</area>
+            <area>1024,265,200,36</area>
             <align>right</align>
         </textarea>
 
@@ -1808,51 +1839,51 @@
             <template>%|"SUBTITLE|"% %LONGREPEAT%%STARS| %%DESCRIPTION%</template>
         </textarea>
 
-        <spinbox name="priority" from="basewidespinbox">
-            <position>454,310</position>
+        <spinbox name="priority" from="baseverywidespinbox">
+            <position>340,305</position>
             <template type="negative">Reduce priority by %n</template>
             <template type="zero">Normal recording priority</template>
             <template type="positive">Raise priority by %n</template>
             <helptext></helptext>
         </spinbox>
 
-        <buttonlist name="input" from="basewideselector">
-            <position>454,354</position>
+        <buttonlist name="input" from="baseverywideselector">
+            <position>340,350</position>
             <helptext></helptext>
         </buttonlist>
 
-        <spinbox name="startoffset" from="basewidespinbox">
-            <position>454,400</position>
+        <spinbox name="startoffset" from="baseverywidespinbox">
+            <position>340,395</position>
             <template type="negative">Start recording %n minute(s) late</template>
             <template type="zero">Start recording on time</template>
             <template type="positive">Start recording %n minute(s) early</template>
             <helptext></helptext>
         </spinbox>
 
-        <spinbox name="endoffset" from="basewidespinbox">
-            <position>454,444</position>
+        <spinbox name="endoffset" from="baseverywidespinbox">
+            <position>340,440</position>
             <template type="negative">End recording %n minute(s) early</template>
             <template type="zero">End recording on time</template>
             <template type="positive">End recording %n minute(s) late</template>
             <helptext></helptext>
         </spinbox>
 
-        <buttonlist name="dupmethod" from="basewideselector">
-            <position>454,490</position>
+        <buttonlist name="dupmethod" from="baseverywideselector">
+            <position>340,485</position>
             <helptext></helptext>
         </buttonlist>
 
-        <buttonlist name="dupscope" from="basewideselector">
-            <position>454,534</position>
+        <buttonlist name="dupscope" from="baseverywideselector">
+            <position>340,530</position>
             <helptext></helptext>
         </buttonlist>
 
         <checkbox name="ruleactive" from="basecheckbox">
-            <position>454,580</position>
+            <position>340,575</position>
         </checkbox>
 
         <textarea name="ruleactivelabel" from="basetextarea">
-            <area>500,582,300,30</area>
+            <area>400,580,300,30</area>
             <value>Recording Rule Active</value>
         </textarea>
 
@@ -1874,11 +1905,11 @@
         </textarea>
 
         <textarea name="timedate" from="basetextarea">
-            <area>50,270,440,28</area>
+            <area>50,265,440,28</area>
         </textarea>
 
         <textarea name="channel" from="basetextarea">
-            <area>1024,270,200,36</area>
+            <area>1024,265,200,36</area>
             <align>right</align>
         </textarea>
 
@@ -1888,49 +1919,49 @@
             <template>%|"SUBTITLE|"% %LONGREPEAT%%STARS| %%DESCRIPTION%</template>
         </textarea>
 
-        <buttonlist name="recprofile" from="basewideselector">
-            <position>454,310</position>
+        <buttonlist name="recprofile" from="baseverywideselector">
+            <position>340,305</position>
             <helptext></helptext>
         </buttonlist>
 
-        <buttonlist name="recgroup" from="basewideselector">
-            <position>454,354</position>
+        <buttonlist name="recgroup" from="baseverywideselector">
+            <position>340,350</position>
             <helptext></helptext>
         </buttonlist>
 
-        <buttonlist name="storagegroup" from="basewideselector">
-            <position>454,400</position>
+        <buttonlist name="storagegroup" from="baseverywideselector">
+            <position>340,395</position>
             <helptext></helptext>
         </buttonlist>
 
-        <buttonlist name="playgroup" from="basewideselector">
-            <position>454,444</position>
+        <buttonlist name="playgroup" from="baseverywideselector">
+            <position>340,440</position>
             <helptext></helptext>
         </buttonlist>
 
-        <spinbox name="maxepisodes" from="basewidespinbox">
-            <position>454,490</position>
+        <spinbox name="maxepisodes" from="baseverywidespinbox">
+            <position>340,485</position>
             <template type="zero">No episode limit</template>
             <template type="positive">Keep at most %n episode(s)</template>
             <helptext></helptext>
         </spinbox>
 
-        <buttonlist name="maxnewest" from="basewideselector">
-            <position>454,534</position>
+        <buttonlist name="maxnewest" from="baseverywideselector">
+            <position>340,530</position>
             <helptext></helptext>
         </buttonlist>
 
         <checkbox name="autoexpire" from="basecheckbox">
-            <position>454,580</position>
+            <position>340,575</position>
         </checkbox>
 
         <textarea name="autoexpirelabel" from="basetextarea">
-            <area>500,582,450,30</area>
+            <area>400,580,450,30</area>
             <value>Allow recordings to expire?</value>
         </textarea>
 
         <button name="back" from="basebutton">
-            <position>590,646</position>
+            <position>590,644</position>
             <value>Back</value>
         </button>
     </window>