Index: mythnetvision/i18n/mythnetvision_es.ts
===================================================================
--- mythnetvision/i18n/mythnetvision_es.ts	(revision 27154)
+++ mythnetvision/i18n/mythnetvision_es.ts	(working copy)
@@ -6,7 +6,7 @@
     <message>
         <location filename="../mythnetvision/main.cpp" line="100"/>
         <source>Internet Television Client - Search</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Cliente de Televisión por Internet - Buscar</translation>
     </message>
     <message>
         <location filename="../mythnetvision/main.cpp" line="102"/>
@@ -17,185 +17,188 @@
 <context>
     <name>NetSearch</name>
     <message>
-        <location filename="../mythnetvision/netsearch.cpp" line="222"/>
+        <location filename="../mythnetvision/netsearch.cpp" line="223"/>
         <source>Search Options</source>
-        <translation type="unfinished"></translation>
+        <translation>Opciones de Búsqueda</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/netsearch.cpp" line="243"/>
+        <location filename="../mythnetvision/netsearch.cpp" line="244"/>
         <source>Open Web Link</source>
-        <translation type="unfinished"></translation>
+        <translation>Abrir Enlace Web</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/netsearch.cpp" line="257"/>
+        <location filename="../mythnetvision/netsearch.cpp" line="258"/>
         <source>Play</source>
-        <translation type="unfinished"></translation>
+        <translation>Reproducir</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/netsearch.cpp" line="259"/>
+        <location filename="../mythnetvision/netsearch.cpp" line="260"/>
         <source>Save This Video</source>
-        <translation type="unfinished"></translation>
+        <translation>Grabar Este Video</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/netsearch.cpp" line="266"/>
+        <location filename="../mythnetvision/netsearch.cpp" line="267"/>
         <source>Delete</source>
-        <translation type="unfinished"></translation>
+        <translation>Borrar</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/netsearch.cpp" line="271"/>
+        <location filename="../mythnetvision/netsearch.cpp" line="272"/>
         <source>Previous Page</source>
-        <translation type="unfinished"></translation>
+        <translation>Página Anterior</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/netsearch.cpp" line="273"/>
+        <location filename="../mythnetvision/netsearch.cpp" line="274"/>
         <source>Next Page</source>
-        <translation type="unfinished"></translation>
+        <translation>Página Siguiente</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/netsearch.cpp" line="275"/>
+        <location filename="../mythnetvision/netsearch.cpp" line="276"/>
         <source>Manage Search Scripts</source>
-        <translation type="unfinished"></translation>
+        <translation>Administrar Scripts de Búsqueda</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/netsearch.cpp" line="357"/>
+        <location filename="../mythnetvision/netsearch.cpp" line="358"/>
         <source>Searching %1 for &quot;%2&quot;...</source>
-        <translation type="unfinished"></translation>
+        <translation>Buscando %1 de &quot;%2&quot;...</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/netsearch.cpp" line="380"/>
-        <location filename="../mythnetvision/netsearch.cpp" line="398"/>
+        <location filename="../mythnetvision/netsearch.cpp" line="381"/>
+        <location filename="../mythnetvision/netsearch.cpp" line="399"/>
         <source>Changing to page %1 of search &quot;%2&quot;...</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Cambiando a la página %1 de búsqueda &quot;%2&quot;...</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/netsearch.cpp" line="465"/>
+        <location filename="../mythnetvision/netsearch.cpp" line="466"/>
         <source>Timed out waiting for query to finish.  API might be down.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../mythnetvision/netsearch.cpp" line="572"/>
+        <location filename="../mythnetvision/netsearch.cpp" line="573"/>
         <source>No browser command set! MythNetVision needs MythBrowser installed to display the video.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../mythnetvision/netsearch.cpp" line="616"/>
+        <location filename="../mythnetvision/netsearch.cpp" line="617"/>
         <source>Are you sure you want to delete this file?</source>
-        <translation type="unfinished"></translation>
+        <translation>¿Estás seguro de querer borrar este archivo?</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/netsearch.cpp" line="707"/>
+        <location filename="../mythnetvision/netsearch.cpp" line="708"/>
         <source>This file already downloaded to:
 %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Este archivo ya fue descargado en:
+%1</translation>
     </message>
 </context>
 <context>
     <name>NetTree</name>
     <message>
-        <location filename="../mythnetvision/nettree.cpp" line="490"/>
+        <location filename="../mythnetvision/nettree.cpp" line="491"/>
         <source>Playback/Download Options</source>
-        <translation type="unfinished"></translation>
+        <translation>Opciones de Reproducción/Descarga</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/nettree.cpp" line="512"/>
+        <location filename="../mythnetvision/nettree.cpp" line="513"/>
         <source>Open Web Link</source>
-        <translation type="unfinished"></translation>
+        <translation>Abrir Enlace Web</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/nettree.cpp" line="515"/>
+        <location filename="../mythnetvision/nettree.cpp" line="516"/>
         <source>Save This Video</source>
-        <translation type="unfinished"></translation>
+        <translation>Grabar Este Video</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/nettree.cpp" line="518"/>
+        <location filename="../mythnetvision/nettree.cpp" line="519"/>
         <source>Scan/Manage Subscriptions</source>
-        <translation type="unfinished"></translation>
+        <translation>Buscar/Administrar Suscripciones</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/nettree.cpp" line="519"/>
+        <location filename="../mythnetvision/nettree.cpp" line="520"/>
         <source>Change View</source>
-        <translation type="unfinished"></translation>
+        <translation>Cambiar Vista</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/nettree.cpp" line="533"/>
+        <location filename="../mythnetvision/nettree.cpp" line="534"/>
         <source>View Options</source>
-        <translation type="unfinished"></translation>
+        <translation>Opciones de Vista</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/nettree.cpp" line="545"/>
+        <location filename="../mythnetvision/nettree.cpp" line="546"/>
         <source>Switch to List View</source>
-        <translation type="unfinished"></translation>
+        <translation>Cambiar a Vista Listado</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/nettree.cpp" line="547"/>
+        <location filename="../mythnetvision/nettree.cpp" line="548"/>
         <source>Switch to Gallery View</source>
-        <translation type="unfinished"></translation>
+        <translation>Cambiar a Vista Galería</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/nettree.cpp" line="549"/>
+        <location filename="../mythnetvision/nettree.cpp" line="550"/>
         <source>Switch to Browse View</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../mythnetvision/nettree.cpp" line="561"/>
+        <location filename="../mythnetvision/nettree.cpp" line="562"/>
         <source>Subscription Management</source>
-        <translation type="unfinished"></translation>
+        <translation>Administración de Suscripciones</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/nettree.cpp" line="572"/>
+        <location filename="../mythnetvision/nettree.cpp" line="573"/>
         <source>Update Site Maps</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../mythnetvision/nettree.cpp" line="573"/>
+        <location filename="../mythnetvision/nettree.cpp" line="574"/>
         <source>Update RSS</source>
-        <translation type="unfinished"></translation>
+        <translation>Actualizar RSS</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/nettree.cpp" line="574"/>
+        <location filename="../mythnetvision/nettree.cpp" line="575"/>
         <source>Manage Site Subscriptions</source>
-        <translation type="unfinished"></translation>
+        <translatorcomment>Site = Sitios ?</translatorcomment>
+        <translation type="unfinished">Administrar Suscripciones de Sitios</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/nettree.cpp" line="575"/>
+        <location filename="../mythnetvision/nettree.cpp" line="576"/>
         <source>Manage RSS Subscriptions</source>
-        <translation type="unfinished"></translation>
+        <translation>Administrar Suscripciones RSS</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/nettree.cpp" line="577"/>
+        <location filename="../mythnetvision/nettree.cpp" line="578"/>
         <source>Enable Automatic Site Updates</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Activar Actualización Automática de Sitios</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/nettree.cpp" line="579"/>
+        <location filename="../mythnetvision/nettree.cpp" line="580"/>
         <source>Disable Automatic Site Updates</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Desactivar Actualización Automática de Sitios</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/nettree.cpp" line="646"/>
-        <location filename="../mythnetvision/nettree.cpp" line="665"/>
-        <location filename="../mythnetvision/nettree.cpp" line="703"/>
-        <location filename="../mythnetvision/nettree.cpp" line="747"/>
+        <location filename="../mythnetvision/nettree.cpp" line="647"/>
+        <location filename="../mythnetvision/nettree.cpp" line="666"/>
+        <location filename="../mythnetvision/nettree.cpp" line="704"/>
+        <location filename="../mythnetvision/nettree.cpp" line="748"/>
         <source>Back</source>
-        <translation type="unfinished"></translation>
+        <translatorcomment>Retroceder o Atrás?</translatorcomment>
+        <translation type="unfinished">Retroceder</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/nettree.cpp" line="839"/>
+        <location filename="../mythnetvision/nettree.cpp" line="840"/>
         <source>No browser command set! MythNetTree needs MythBrowser installed to display the video.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../mythnetvision/nettree.cpp" line="893"/>
+        <location filename="../mythnetvision/nettree.cpp" line="894"/>
         <source>Are you sure you want to delete this file?</source>
-        <translation type="unfinished"></translation>
+        <translation>¿Estás seguro que quieres borrar este archivo?</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/nettree.cpp" line="1225"/>
+        <location filename="../mythnetvision/nettree.cpp" line="1226"/>
         <source>Updating RSS.  This could take a while...</source>
-        <translation type="unfinished"></translation>
+        <translation>Actualizando RSS.  Esto puede tardar un poco...</translation>
     </message>
     <message>
-        <location filename="../mythnetvision/nettree.cpp" line="1240"/>
+        <location filename="../mythnetvision/nettree.cpp" line="1241"/>
         <source>Updating Site Maps.  This could take a while...</source>
         <translation type="unfinished"></translation>
     </message>
@@ -205,7 +208,7 @@
     <message>
         <location filename="../mythnetvision/rsseditor.cpp" line="535"/>
         <source>Are you sure you want to unsubscribe from this feed?</source>
-        <translation type="unfinished"></translation>
+        <translation>¿Estás seguro que quieres desinscribirte de este canal?</translation>
     </message>
 </context>
 <context>
@@ -221,32 +224,34 @@
     <message>
         <location filename="themestrings.h" line="2"/>
         <source>%DATE%, %TIME%</source>
-        <translation type="unfinished"></translation>
+        <translation>%FECHA%, %HORA%</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="3"/>
         <source>No search scripts found!  This usually indicates missing prerequisites.</source>
-        <translation type="unfinished"></translation>
+        <translatorcomment>¿Substituir &quot;prerequisitos&quot; por &quot;archivos&quot; o &quot;dependencias&quot; ?</translatorcomment>
+        <translation type="unfinished">¡No se encontraron scripts de búsqueda!  Esto suele indicar que faltan prerequisitos.</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="4"/>
         <source>Page %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Página %1</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="5"/>
         <source>Search:</source>
-        <translation type="unfinished"></translation>
+        <translation>Buscar:</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="6"/>
         <source>Author: %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Autor: %1</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="7"/>
         <source>Edit/Add a New RSS Feed</source>
-        <translation type="unfinished"></translation>
+        <translatorcomment>Traduciendo &quot;Feed&quot; por &quot;Canal&quot;</translatorcomment>
+        <translation>Editar/Añadir un Nuevo Canal RSS</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="8"/>
@@ -258,72 +263,72 @@
     <message>
         <location filename="themestrings.h" line="9"/>
         <source>Title:</source>
-        <translation type="unfinished"></translation>
+        <translation>Título:</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="10"/>
         <source>URL:</source>
-        <translation type="unfinished"></translation>
+        <translation>URL:</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="11"/>
         <source>Author:</source>
-        <translation type="unfinished"></translation>
+        <translation>Autor:</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="12"/>
         <source>Description:</source>
-        <translation type="unfinished"></translation>
+        <translation>Descripción:</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="13"/>
         <source>Download video from this feed automatically</source>
-        <translation type="unfinished"></translation>
+        <translation>Descargar vídeos de este canal automáticamente</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="14"/>
         <source>Select to change image...</source>
-        <translation type="unfinished"></translation>
+        <translation>Selecciona para cambiar imagen...</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="15"/>
         <source>Save</source>
-        <translation type="unfinished"></translation>
+        <translation>Guardar</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="16"/>
         <source>Cancel</source>
-        <translation type="unfinished"></translation>
+        <translation>Cancelar</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="17"/>
         <source>You haven&apos;t added any Sites/RSS Feeds yet!  To add a site, press MENU, then choose &quot;Scan/Manage Subscriptions,&quot; then &quot;Manage Site Subscriptions.&quot;</source>
-        <translation type="unfinished"></translation>
+        <translation>¡No has añadido un Sitio/Canal RSS aún!  Para añadir un sitio, pulsa MENU, selecciona &quot;Buscar/Administrar Suscripciones,&quot; y &quot;Administrar Suscripciones de Sitios.&quot;</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="18"/>
         <source>Manage Subscriptions</source>
-        <translation type="unfinished"></translation>
+        <translation>Administrar Suscripciones</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="19"/>
         <source>Choose the sites you wish to browse/search.</source>
-        <translation type="unfinished"></translation>
+        <translation>Selecciona los sitios que desea navegar/buscar.</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="20"/>
         <source>New Site</source>
-        <translation type="unfinished"></translation>
+        <translation>Nuevo Sitio</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="21"/>
         <source>Edit Site</source>
-        <translation type="unfinished"></translation>
+        <translation>Editar Sitio</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="22"/>
         <source>Unsubscribe</source>
-        <translation type="unfinished"></translation>
+        <translation>Desinscribirse</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="23"/>
@@ -333,77 +338,78 @@
     <message>
         <location filename="themestrings.h" line="24"/>
         <source>Search Term:</source>
-        <translation type="unfinished"></translation>
+        <translation>Buscar Palabra:</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="25"/>
         <source>Size: %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Tamaño: %1</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="26"/>
         <source>Description: %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Descripción: %1</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="27"/>
         <source>Can&apos;t find any search scripts!  This usually indicates missing search script prerequisites.  Try running a script from the command line.</source>
-        <translation type="unfinished"></translation>
+        <translatorcomment>¿Cambiar prerequisitos por archivo/dependencia/etc.?</translatorcomment>
+        <translation type="unfinished">¡No se encontraron scripts de búsqueda!  Esto suele indicar que faltan prerequisitos para los scripts de búsqueda.  Prueba a ejecutar un script desde la línea de comandos.</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="28"/>
         <source>Manage Site Subscriptions</source>
-        <translation type="unfinished"></translation>
+        <translation>Administrar Suscripciones de Sitios</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="29"/>
         <source>Edit</source>
-        <translation type="unfinished"></translation>
+        <translation>Editar</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="30"/>
         <source>New</source>
-        <translation type="unfinished"></translation>
+        <translation>Nuevo</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="31"/>
         <source>Remove</source>
-        <translation type="unfinished"></translation>
+        <translation>Eliminar</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="32"/>
         <source>Manage RSS Subscriptions</source>
-        <translation type="unfinished"></translation>
+        <translation>Administrar Suscripciones RSS</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="33"/>
         <source>Feed Name:</source>
-        <translation type="unfinished"></translation>
+        <translation>Nombre Canal:</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="34"/>
         <source>Feed URL:</source>
-        <translation type="unfinished"></translation>
+        <translation>URL Canal:</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="35"/>
         <source>Site Description:</source>
-        <translation type="unfinished"></translation>
+        <translation>Descripción del Sitio:</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="36"/>
         <source>Feed Author:</source>
-        <translation type="unfinished"></translation>
+        <translation>Autor del Canal:</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="37"/>
         <source>Download this feed automatically</source>
-        <translation type="unfinished"></translation>
+        <translation>Descargar este canal automáticamente</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="38"/>
         <source>Choose Image</source>
-        <translation type="unfinished"></translation>
+        <translation>Elegir imagen</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="39"/>
@@ -413,7 +419,7 @@
     <message>
         <location filename="themestrings.h" line="40"/>
         <source>Posted: %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Publicado: %1</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="41"/>
@@ -423,22 +429,22 @@
     <message>
         <location filename="themestrings.h" line="42"/>
         <source>Author</source>
-        <translation type="unfinished"></translation>
+        <translation>Autor</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="43"/>
         <source>Rating</source>
-        <translation type="unfinished"></translation>
+        <translation>Puntuación</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="44"/>
         <source>Search Internet Video</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Buscar Videos de Internet</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="45"/>
         <source>Search popular video sites</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Buscar sitios populares de videos</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="46"/>